      FUNCTION ELLME (AN,E)
C              ! MEAN TO ECCENTRIC
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      INTEGER DOUBLE,REAL
      PARAMETER(DOUBLE=1,REAL=0)
      DATA PI /3.14159265358979324D0/ TPI /6.28318530717958648D0/
      DATA RPD /.0174532925199433D0/
      DATA DPR /57.29577951308232088D0/ PIH /1.57079632679489662D0/
      DATA SPD /86400.D0/
C       G(X) = X - E*SIN(X)   G(X) IS BETTER FOR E NEAR 1 AND X NEAR 0
      G(X)=X*(D+E*X*X/6*(1-X*X/20*(1-X*X/42*(1-X*X/72*(1-X*X/110*
     1(1-X*X/168*(1-X*X/210*(1-X*X/272*(1-X*X/342)))))))))
C       DG(X) = DG(X)/DX
      DG(X)=D+E*X*X/2*(1-X*X/12*(1-X*X/30*(1-X*X/56*(1-X*X/90*(1-
     1X*X/132*(1-X*X/182*(1-X*X/240*(1-X*X/306))))))))
      D=ABS(1-E)
      ELLME=AN/D
      IF (D.LE.ABS(AN)) ELLME=CBRT(6*AN)
      IF (ABS(AN).GE.1.) ELLME=SIGN(PI,AN)
      DO 10 I=1,20
          ELLME0=ELLME
          IF (ABS(ELLME0).LE.1.) THEN
              ELLME=ELLME0-(G(ELLME0)-AN)/DG(ELLME0)
          ELSE
              ELLME=ELLME0-(ELLME0-E*SIN(ELLME0)-AN)/(1.-E*COS(ELLME0))
          ENDIF
          IF (ABS(ELLME0-ELLME).LE.(3.E-8)*ABS(ELLME0))   RETURN
   10 CONTINUE
c      CALL ERROR ('KEPLER: TOO MANY ITERATIONS')
      RETURN

      END
