C*QUERY  -- ask the user a yes/no question
C+
      LOGICAL FUNCTION QUERY(QUEST)
      CHARACTER*(*) QUEST
C
C QUERY: asks a question of the user. Returns .TRUE. if answer was YES
C or equivalent, .FALSE. if answer was NO or equivalent; otherwise it
C asks the question again.
C
C Version 3.0:  1984 Jan 16 - T.J. Pearson, VAX-11 Fortran.
C
C Subroutines required:
C  GETIN              - get string from standard input with prompt
C  PUTOUT             - write string to standard output
C
C Fortran 77 extensions:
C  None
C-----------------------------------------------------------------------
C     IMPLICIT NONE
      INTEGER  L
      CHARACTER ANSWER*1
C-----------------------------------------------------------------------
   10 CALL GETIN(ANSWER,QUEST,L)
      IF (ANSWER.EQ.'Y' .OR. ANSWER.EQ.'y') THEN
          QUERY = .TRUE.
      ELSE IF (ANSWER.EQ.'N' .OR. ANSWER.EQ.'n') THEN
          QUERY = .FALSE.
      ELSE
          CALL PUTOUT('Please answer YES or NO')
          GOTO 10
      END IF
      END
