	 program fakesat_menu

! convert fakesat_menu into a subroutine fakesat_menu1
! make fakesat_menu a simple program to call fakesat_menu1
! DWM 27-Apr-94

	 logical init, screen, color, simple_menu
	 character*80 def_file,plotf1*60,str1*1
!	 real x1vp,x2vp,y1vp,y2vp
	 integer ier, pgbegin

!	  def_file = 'menu_defaults'

	  init=.false.
	 write(*,*) ' '
	 write(*,*) 'what default file do you want to use ?'
	 write(*,*) '(return = menu_defaults)'
	 read(*,'(a)') def_file

	if(def_file.eq.' ') then
	 def_file='menu_defaults'
	end if

5000	 continue


	   iuse = 0

	  if(iuse.eq.1) then


	  if(init) then

	   write(*,*) ' '
	   write(*,*) '***** initialisation is completed *****'
	   write(*,*) ' '

	   init = .false.

	  write(*,*) 'specify interactive device for display '
	  write(*,*) '(usually /xw for (XWindows)'
	  read(*,'(a)') plotf1

	  else

	  write(*,*) 'specify interactive device for display '
	  write(*,*) '(usually /xw for (XWindows)'
	  write(*,*) '(OR init for menu initialisation)'
	  read(*,'(a)') plotf1

	  end if

	 end if


	   screen=.false.
	   frac  = 1.0
	   color = .true.


!	  if(plotf1.eq.'init') then
!	   write(*,*) ' '
!	   write(*,*) '***** starting initialisation of fakesat_menu-defaults *****'
!	   write(*,*) ' '
!	   init=.true.
!	   plotf1='/null'
!	  end if  

!	   if(.not.init) call pgbegin(1,plotf1,1,1)


!	  write(*,*) 'specify interactive display device'
!	  write(*,*) '(usually /xw for (XWindows)'
!!	  write(*,*) '(OR init for menu initialisation)'
!	  read(*,'(a)') plotf1


! decide whether to use /xw or /xserv interactive display

 	  ier = 0
	  plotf1 = '/xserv'

	   ier = pgbegin(1,plotf1,1,1)
!	   write(*,*) 'ier: ',ier,' ',plotf1

	  if(ier.ne.1) then
	   plotf1 = '/xw'
	   ier = pgbegin(1,plotf1,1,1)
!	   write(*,*) 'ier: ',ier,' ',plotf1
	  end if

	  if(ier.ne.1) then
	    write(*,*) ' '
	    write(*,*) '*** ERROR *** '
	    write(*,*) 'cannot find either PGPLOT device /xw or /xserv'
	    write(*,*) ' '
	    write(*,*) '*** aborting ***'
	    stop
	  end if

! ask if want to use simple or complex menu

	 write(*,*) 'do you want to use simple or complex menu system ?'
	 write(*,*) 's = use simple menu,  c = use complex menu'
	 write(*,*) 'enter s or c:'
	 read(*,'(a)') str1

	 if(str1.eq.'s') then
	  simple_menu=.true.
	 else
	  simple_menu=.false.
	 end if

! introduce hidden method for producing hardcopy of menu system

	 if(str1.eq.'h') then

	   write(*,*) 'you have selected a hidden version !'
	   write(*,*) 'options: '
	   write(*,*) '1 = color PostScipt file of simple menu: screen.ps'
	   write(*,*) '2 = color PostScipt file of simple menu: screen.vps'
	   write(*,*) '3 = color PostScipt file of complex menu: screen.ps'
	   write(*,*) '4 = color PostScipt file of complex menu: screen.vps'
	   write(*,*) 'which option ?'
	   read(*,*) iopt

	   if((iopt.eq.1).or.(iopt.eq.2)) then
	    simple_menu=.true.
	   else
	    simple_menu=.false.
	   end if

	  if(iopt.eq.1.or.iopt.eq.3) then
	   plotf1='screen.cps/cps'
	   screen=.true.
	   frac =  0.7
	  end if

	  if(iopt.eq.2.or.iopt.eq.4) then
	   plotf1='screen.vcps/vcps'
	   screen=.true.
	   frac= 0.7
	  end if

	 end if


! write out fakesat_menu information

	 write(*,*) ' '
         write(*,*) '---------------------------------------------'
	 write(*,*) 'JPL interactive Space VLBI simulation program'
         write(*,*) '---------------------------------------------'
	 write(*,*) ' '

	 write(*,'(a)') ' menu defaults file        : '
     1   //def_file(1:len1(def_file))

	 if(simple_menu) then
	 write(*,*)     'type of menu              : simple'
	 else
	 write(*,*)     'type of menu              : complex'
	 end if

	 write(*,'(a)') ' interactive display device: '
     1   //plotf1(1:len1(plotf1))

	 write(*,*) ' '
         write(*,*) '---------------------------------------------'
	 write(*,*) ' '


	   call fakesat_menu1(def_file,init,screen,frac,color,plotf1,
     1     simple_menu)

	   call pgend

!	   if(.not.init) then
!	     call pgend
!	   else
!           call pgend
!	    goto 5000
!	  end if

	  stop
	  end


	

