
	subroutine Pos(JD)

C given Julian date calculates positions of planets

	integer r1,r2,d1,d2,t1,t2
	double precision ra,dec,lamda,beta,r3,d3,m,d,c,t
	double precision t3
	character*60 name
	character*1 sign1,sign2,sign3

	c=2.997924562d8


	write(*,*) ' '
	write(*,*) 'Geocentric RA and Dec and light travel time '
	write(*,*) ' '



	 call sun(jd,ra,dec,lamda,beta,m,d)

		t=d/(c*3600.0d0)
	  call cnvrt2(t,t1,t2,t3,sign3,1)
	  call cnvrt2(ra,r1,r2,r3,sign1,1)
	  call cnvrt2(dec,d1,d2,d3,sign2,1)
	  name='sun'
	  write(*,11) name,r1,r2,r3,sign2,d1,d2,d3,t1,t2,t3
11        format(2x,a10,i2,':',i2,':',f4.1,'   ',a1,i2,':',i2,':',f4.1,
     1    '   ',i2,':',i2,':',f4.1)
	  write(*,*) ' '
     
 
 	  call moon(jd,ra,dec,d)
		t=d/(c*3600.0d0)
	  call cnvrt2(t,t1,t2,t3,sign3,1)
	  call cnvrt2(ra,r1,r2,r3,sign1,1)
	  call cnvrt2(dec,d1,d2,d3,sign2,1)
	  name='moon'
	  write(*,12) name,r1,r2,r3,sign2,d1,d2,d3,t1,t2,t3
12        format(2x,a10,i2,':',i2,':',f4.1,'   ',a1,i2,':',i2,':',f4.1,
     1    '   ',i2,':',i2,':',f4.1)
	  write(*,*) ' '


	do 100, i=1,9

	 if(i.ne.3) then
  	  call pname(i,name)
	  call plan(jd,i,lamda,beta,d)
	  call cnvrt1(ra,dec,lamda,beta,-1)
		t=d/(c*3600.0d0)
	  call cnvrt2(t,t1,t2,t3,sign3,1)
	  call cnvrt2(ra,r1,r2,r3,sign1,1)
	  call cnvrt2(dec,d1,d2,d3,sign2,1)
	  write(*,13) name,r1,r2,r3,sign2,d1,d2,d3,t1,t2,t3
13        format(2x,a10,i2,':',i2,':',f4.1,'   ',a1,i2,':',i2,':',f4.1,
     1    '   ',i2,':',i2,':',f4.1)
	end if

100	continue

	return
	end
